/* _poly.c */

#define __LIBRARY__

#include <math.h>

/* Polynomial evaluation using Horner's method. Should be called with
 * restricted-range |z| arguments, because no overflow checking is done.
 */
double _poly _LIB_F3_(double,z, \
                       double *,coeff, \
                       int, ncoeff)
{
 double result;

 coeff += ncoeff;
 result = *--coeff;

 while(--ncoeff > 0)
      {
       result = *--coeff + (z * result);
      }

 return result;
}

