
/* Inverse hyperbolic functions */

/* Formulas from Abramowitz & Stegun 4.6.20, 4.6.21 and 4.6.22 */ 

#define _LIBM_SOURCE
#include <math.h>
#include <errno.h>
extern errno;

double atanh(x)
double x;
{
	double ans;
	
	if (fabs(x) >= 1.0){
		errno = EDOM;
		return (-HUGE_VAL);
	}	
	ans = 0.5 * log((1.0 + x)/(1.0 - x));
	return (ans);
}			
			

