/*
 *      L I S T _ C l a s s
 *
 *  This function is called when it is required
 *  to find out a list class from its handle.
 *
 *
 * (c) Copyright 1996-1997 David J. Walker
 *     Email:  d.j.walker@x400.icl.co.uk
 *
 *     Permission to copy and/or distribute granted under the
 *     following conditions:
 *
 *     1). This notice must remain intact.
 *     2). The author is not responsible for the consequences of use
 *         this software, no matter how awful, even if they
 *         arise from defects in it.
 *     3). Altered version must not be represented as being the
 *         original software.
 *
 *
 *  AMENDMENT HISTORY
 *  ~~~~~~~~~~~~~~~~~
 *  23 June 96   DJW   - First version
 *
 *  20 July 95   DJW   - Changes to handle embedded lists correctly.
 */


#include <liblist.h>
#include "liblistx.h"


listclass_t  LIST_Class (list_t list)
{
    LIBDEBUG ("LIST_Add", \
           "'list' parameter is not a valid list instance", \
           _LIST_ListCheck(list))

	if (LIST_Embedded(list))
	{
		list = ((_embedh_t)list)->self;
	}
    return  (list->listclass->master->listclass);
}

