/*
 *      e x p f
 */

#define __LIBRARY__

#include <math.h>
#include <errno.h>
#include <limits.h>
#include <stdlib.h>

static float expcoeff[14] =
       {1.000000000E0,	/* 1/0! */
		1.000000000E0,	/* 1/1! */
		5.000000000E-1,	/* 1/2! and so on */
		1.666666667E-1,
		4.166666667E-2,
		8.333333333E-3,
		1.388888889E-3,
		1.984126984E-4,
		2.480158730E-5,
		2.755731922E-6,
		2.755731922E-7,
		2.505210839E-8,
		2.087675699E-9,	
		1.605904384E-10 };
	

float expf  _LIB_F1_( float,x)
{
	float ipart, frac, ans;
	int j;
 	frac = modff(x * (float)M_LOG2E, &ipart);
	if(frac > 0.5){
    	ipart += 1.0;
    	frac -= 1.0;
	}
	else if(frac < -0.5){
    	ipart -= 1.0;
    	frac += 1.0;
	}

	if(ipart < (float) INT_MIN)		/* really small */
    	return (0.0);
	else if(ipart > (float) INT_MAX)	/* really big */
    	ipart = (float) INT_MAX;
	
	frac *= (float)M_LN2;
	ans = frac * expcoeff[13];
	for (j = 12; j >= 0; j-- )
	ans = expcoeff[j] + frac * ans;
	
	return ((float)ldexp((double)ans, (int)ipart));
}
