/*
 *  fmod.c 
 *
 * Gives  whole remainder (less than divisor) after obtaining maximum
 * integer quotient of two double numbers - useful e.g. for reducing 
 * large angles to range 0 < x < 2pi
 *
 * AMENDMENT HISTORY
 * ~~~~~~~~~~~~~~~~~
 * ?? Mar 92    SEP   - First version by S E Peterson 3/92
 */

#define _LIBM_SOURCE

#include <math.h>

double fmod(x,y)
double x,y;
{
    double n, ans;

    if ( !x || (fabs(x))<(fabs(y)))
        return (x);
    ans = y * modf((x/y), &n);
    return (ans);   
}


