/*
 *      L I S T _ I n s e r t 
 *
 *  This function is called when it is required
 *  to insert a new node at the beginning of a list.
 *
 *
 * (c) Copyright 1996-1997 David J. Walker
 *     Email:  d.j.walker@x400.icl.co.uk
 *
 *     Permission to copy and/or distribute granted under the
 *     following conditions:
 *
 *     1). This notice must remain intact.
 *     2). The author is not responsible for the consequences of use
 *         this software, no matter how awful, even if they
 *         arise from defects in it.
 *     3). Altered version must not be represented as being the
 *         original software.
 *
 *
 *  AMENDMENT HISTORY
 *  ~~~~~~~~~~~~~~~~~
 *  22 May 96   DJW   - First version
 */

#include <liblist.h>
#include "liblistx.h"


int     LIST_Insert (list_t list, node_t node)
{
	_listmaster_t listmaster;
    listclass_t listclass;
	node_t      nodefirst;

    listclass = list->listclass;
	listmaster = listclass->master;

    nodefirst = listmaster->first(list);
    if (listclass->compare == NULL)
	{
		if (LIST_Compare(list,node,nodefirst) > 0)
		{
			return LIST_ERROR_SEQUENCE;
		}
	}
	if (nodefirst != NULL)
	{
		nodefirst = _LIST_REALNODE(list,nodefirst);
	}
	return listmaster->after (list, _LIST_REALNODE(list,node), nodefirst);
}

