/*
 *      L I S T _ P o s i t i o n
 *
 *  This function is called when it is required
 *  to find out the position of a node in the list.
 *
 *  Returns:
 *      0       No
 *      <>0     Yes
 *
 *
 * (c) Copyright 1996-1997 David J. Walker
 *     Email:  d.j.walker@x400.icl.co.uk
 *
 *     Permission to copy and/or distribute granted under the
 *     following conditions:
 *
 *     1). This notice must remain intact.
 *     2). The author is not responsible for the consequences of use
 *         this software, no matter how awful, even if they
 *         arise from defects in it.
 *     3). Altered version must not be represented as being the
 *         original software.
 *
 *
 *  AMENDMENT HISTORY
 *  ~~~~~~~~~~~~~~~~~
 *  18 May 96   DJW   - First version
 */


#include <liblist.h>
#include "liblistx.h"


node_t    LIST_Position (list_t list, size_t indexnum)
{
    node_t  listnode;

    LIBDEBUG ("LIST_Position", \
           "'index' parameter is 0", \
           indexnum != 0)
    LIBDEBUG ("LIST_Position", \
           "'index' parameter is too large", \
           indexnum <= LIST_Index(list,LIST_Last(list)))

    for (listnode = LIST_First(list) ; listnode != NULL ; 
                        listnode = LIST_Next(list,listnode))
    {
        if (--indexnum <= 0)
        {
            return (listnode);
        }
    }
    /*
     *  The node was not found if
     *  this point is reached.
     */
    errno = LIST_ERROR_BADINDEX;
    return NULL;
}

