/*
 *  remainder.c
 *
 *  Return the floating point remainder of the divison of x/y.
 *  More precisely, return the value r = x -yn where n is the
 *  integer nearest the exact value x/y.
 *  Whenever | n - x/y | = 0.5, then n is even.
 */

#define _LIBM_SOURCE

#include <math.h>

double remainder (x,y)
  double x,y;
{
    double  r;

    if ( ! x)
        return (x);
    r = x / y;
    return (r - rint(r));  
}

