/*
 *  r i n t . c
 *
 *  Calculate the nearest integer value to the floating
 *  point argument.  The returned value is rounded according
 *  to the currently set rounding mode.   If round-to-nearest
 *  is set and the difference between the function argument
 *  and the rounded result is exactly 0.5, then the result will
 *  be rounded to the nearest even integer.
 */

#define _LIBM_SOURCE

#include <math.h>

double rint(x)
    double x;
{
    double f;
    double n;

    f = modf(x,&n);
    x -= f;
    if (f > 0.5)
        x += 1.0;
    return (x);
}

